Bug 585899 - (CVE-2010-1428) CVE-2010-1428 JBoss Application Server Web Console Authentication bypass
CVE-2010-1428 JBoss Application Server Web Console Authentication bypass
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,public=20100426,reporte...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 07:15 EDT by Marc Schoenefeld
Modified: 2017-08-14 15:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 04:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0376 normal SHIPPED_LIVE Critical: JBoss Enterprise Application Platform 4.2.0.CP09 update 2010-04-26 23:19:52 EDT
Red Hat Product Errata RHSA-2010:0377 normal SHIPPED_LIVE Critical: JBoss Enterprise Application Platform 4.3.0.CP08 update 2010-04-26 23:39:07 EDT
Red Hat Product Errata RHSA-2010:0378 normal SHIPPED_LIVE Critical: JBoss Enterprise Application Platform 4.2.0.CP09 update 2010-04-26 23:55:18 EDT
Red Hat Product Errata RHSA-2010:0379 normal SHIPPED_LIVE Critical: JBoss Enterprise Application Platform 4.3.0.CP08 update 2010-04-27 00:15:45 EDT

  None (edit)
Description Marc Schoenefeld 2010-04-26 07:15:18 EDT
Unauthenticated access to the JBoss Application Server Web Console (/web-console) is blocked by default. However, it was found that this block was incomplete, and only blocked GET and POST HTTP "verbs".
A remote attacker could use this flaw to gain access to sensitive information.
Comment 1 errata-xmlrpc 2010-04-26 23:19:57 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 4

Via RHSA-2010:0376 https://rhn.redhat.com/errata/RHSA-2010-0376.html
Comment 2 errata-xmlrpc 2010-04-26 23:39:12 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2010:0377 https://rhn.redhat.com/errata/RHSA-2010-0377.html
Comment 3 errata-xmlrpc 2010-04-26 23:55:23 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 5

Via RHSA-2010:0378 https://rhn.redhat.com/errata/RHSA-2010-0378.html
Comment 4 errata-xmlrpc 2010-04-27 00:15:50 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2010:0379 https://rhn.redhat.com/errata/RHSA-2010-0379.html

Note You need to log in before you can comment on or make changes to this bug.